version: '2'
.catalog:
  name: MOODLE
  version: 0.0.1-moodle-rancher
  description: |
    O sistema Moodle.
  minimum_rancher_version: v0.56.0
  maintainer: "Aurelio Pires <penha.aurelio@gmail.com>"
  questions:
      - variable: db_password
        description: "Senha para o banco de dados"
        label: "Password (default: moodle)"
        required: true
        default: "1qaz2wsx"
        type: "password"
      - variable: "domain_app"
        description: "Informe a tag (FQDN) para esse serviço"
        label: "FQDN Result:"
        required: true
        default: "ead-antaq.antaq.gov.br"
        type: "string"
      - variable: "http_port"
        description: "Porta HTTP que será exposta:"
        label: "Porta HTTP:"
        required: true
        default: 80
        type: "int"
      - variable: "DNS"
        description: "Endereço do DNS"
        label: "DNS:"
        required: true
        default: "10.61.0.66"
        type: "string"
      - variable: "BD_CAMINHO"
        description: "Versão da fonte de dados"
        label: "Caminho dos arquivos do banco"
        required: true
        type: enum
        options:
          - /opt/nfs-server/banco/base-moodle_treinamento/
      - variable: "FILES_CAMINHO"
        description: "Caminho dos arquivos moodledata"
        label: "Caminho dos arquivos moodledata"
        required: true
        type: enum
        options:
          - /opt/nfs-server/arquivos/moodle_treinamento/moodledata/


services:

    mysql:
        scale: 1
    http:
         scale: 1
